<?php $__env->startSection('title', translate('User Logs')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <script src="https://use.fontawesome.com/74721296a6.js"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Card -->
        <div class="card">
            <!-- Header -->
            <div class="card-header">
                <div class="flex-start">
                    <h5 class="card-header-title"><?php echo e(translate('User Logs')); ?></h5>
                    <h5 class="card-header-title text-primary mx-1">(<?php echo e($user_logs->total()); ?>)</h5>
                </div>
                <div>
                    <form action="<?php echo e(url()->current()); ?>" method="GET">
                        <div class="input-group">
                            <input id="datatableSearch_" type="search" name="search"
                                   class="form-control"
                                   placeholder="<?php echo e(translate('Search')); ?>" aria-label="Search"
                                   value="<?php echo e($search??''); ?>" required autocomplete="off">
                            <div class="input-group-append">
                                <button type="submit" class="input-group-text"><i class="tio-search"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- End Header -->

            <!-- Table -->
            <div class="table-responsive datatable-custom">
                <table
                    class="table table-hover table-borderless table-thead-bordered table-nowrap table-align-middle card-table"
                    style="width: 100%">
                    <thead class="thead-light">
                    <tr>
                        <th ><?php echo e(translate('name')); ?></th>
                        <th><?php echo e(translate('phone')); ?></th>
                        <th><?php echo e(translate('ip_address')); ?></th>
                        <th><?php echo e(translate('device_id')); ?></th>
                        <th><?php echo e(translate('browser')); ?></th>
                        <th><?php echo e(translate('os')); ?></th>
                        <th><?php echo e(translate('device_model')); ?></th>
                        <th><?php echo e(translate('login_time')); ?></th>
                    </tr>
                    </thead>

                    <tbody id="set-rows">
                    <?php $__currentLoopData = $user_logs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$user_log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($user_log->user): ?>
                            <tr>
                                <td>
                                    <a class="d-block font-size-sm text-body"
                                       <?php if($user_log->user->type == 1): ?>
                                       href="<?php echo e(route('admin.agent.log',[$user_log->user['id']])); ?>"
                                    <?php elseif($user_log->user->type == 2): ?>
                                       href="<?php echo e(route('admin.customer.log',[$user_log->user['id']])); ?>"
                                    <?php endif; ?>
                                    >
                                        <?php echo e($user_log->user['f_name'].' '.$user_log->user['l_name']); ?>

                                    </a>
                                </td>
                                <td>
                                    <?php echo e($user_log->user['phone']); ?>

                                </td>
                                <td><?php echo e($user_log->ip_address); ?></td>
                                <td><?php echo e($user_log->device_id); ?></td>
                                <td>
                                    <?php if($user_log->browser): ?>
                                        <?php echo e($user_log->browser); ?>

                                    <?php else: ?>
                                        <small class="badge-pill badge-light"><?php echo e(translate('Not_available')); ?></small>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($user_log->os); ?></td>
                                <td><?php echo e($user_log->device_model); ?></td>
                                <td><?php echo e(date_time_formatter($user_log->created_at)); ?></td>
                            </tr>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <!-- End Table -->

            <!-- Footer -->
            <div class="card-footer">
                <!-- Pagination -->
                <div class="row justify-content-center justify-content-sm-between align-items-sm-center">
                    <div class="col-sm-auto">
                        <div class="d-flex justify-content-center justify-content-sm-end">
                            <!-- Pagination -->
                            <?php echo $user_logs->links(); ?>

                            <nav id="datatablePagination" aria-label="Activity pagination"></nav>
                        </div>
                    </div>
                </div>
                <!-- End Pagination -->
            </div>
            <!-- End Footer -->
        </div>
        <!-- End Card -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/payisle/public_html/admin/resources/views/admin-views/user/log-list.blade.php ENDPATH**/ ?>